Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class AbstractNodeBasedTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, SdxObject, org.apache.avalon.framework.service.Serviceable, Transformation, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  NodeCountTransformation, TagFilter

public abstract class AbstractNodeBasedTransformation
extends AbstractTransformation

Created by IntelliJ IDEA. User: rpandey Date: 22 mars 2004 Time: 11:30:08 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected java.util.HashMap` | `_attributesToTrack`
`protected java.util.HashMap` | `_wildcardNodesToTrack`
`protected SimpleXPathString` | `_xpathString`
`protected java.util.Stack` | `c_attributes`
`protected java.lang.String` | `c_loc`
`protected java.lang.String` | `c_raw`
`protected java.lang.String` | `c_uri`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`AbstractNodeBasedTransformation()`

Method Summary
`protected java.lang.String` | `attributeIsParameter(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes atts)`
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Loads base configuration common to all transformations.
`protected java.lang.String` | `elementIsParameter(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes atts)`
`protected java.lang.String` | `matchesWildcardAttribute(java.lang.String loc, java.lang.String raw)`
`protected java.lang.String` | `matchesWildcardElement(java.lang.String loc, java.lang.String raw)`
`protected java.lang.String` | `matchesWildcardName(java.lang.String loc, java.lang.String raw, java.lang.String wildcardExpr)`
`protected boolean` | `nodeIsParameter(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes atts)`
`protected org.xml.sax.Attributes` | `peekCurrentAttributes()`
`void` | `recycle()` Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation
`protected void` | `resetCurrentElementProperties(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`protected void` | `resetFields()`
`protected void` | `setCurrentElementProperties(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes atts)`
`protected void` | `setInternalParameters(org.apache.avalon.framework.parameters.Parameters params)`
`protected void` | `setNodesToTrack(org.apache.avalon.framework.parameters.Parameters params)`
`protected boolean` | `wildCardExprMatchesElementXpathString(java.lang.String wildcardExpr, java.lang.String xpathStr)`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initToSax, initVolatileObjectsToSax, isStepEnabled, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### _attributesToTrack

    protected java.util.HashMap _attributesToTrack

### _wildcardNodesToTrack

    protected java.util.HashMap _wildcardNodesToTrack

### c_uri

    protected java.lang.String c_uri

### c_loc

    protected java.lang.String c_loc

### c_raw

    protected java.lang.String c_raw

### c_attributes

    protected java.util.Stack c_attributes

### _xpathString

    protected SimpleXPathString _xpathString

Constructor Detail

### AbstractNodeBasedTransformation

    public AbstractNodeBasedTransformation()

Method Detail

### resetFields

    protected void resetFields()

### peekCurrentAttributes

    protected org.xml.sax.Attributes peekCurrentAttributes()

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Description copied from class: `AbstractTransformation`
  Loads base configuration common to all transformations. Currently loads the id from the configuraion object. It will eventually load the optional "keep" parameter which is used to specify that the results of the transformation should be retained.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `AbstractTransformation`
  Parameters:
    `configuration` - The configuration object
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### setCurrentElementProperties

    protected void setCurrentElementProperties(java.lang.String uri,
                                               java.lang.String loc,
                                               java.lang.String raw,
                                               org.xml.sax.Attributes atts)

### resetCurrentElementProperties

    protected void resetCurrentElementProperties(java.lang.String uri,
                                                 java.lang.String loc,
                                                 java.lang.String raw)

### setInternalParameters

    protected void setInternalParameters(org.apache.avalon.framework.parameters.Parameters params)

### setNodesToTrack

    protected void setNodesToTrack(org.apache.avalon.framework.parameters.Parameters params)

### nodeIsParameter

    protected boolean nodeIsParameter(java.lang.String uri,
                                      java.lang.String loc,
                                      java.lang.String raw,
                                      org.xml.sax.Attributes atts)

### elementIsParameter

    protected java.lang.String elementIsParameter(java.lang.String uri,
                                                  java.lang.String loc,
                                                  java.lang.String raw,
                                                  org.xml.sax.Attributes atts)

### attributeIsParameter

    protected java.lang.String attributeIsParameter(java.lang.String uri,
                                                    java.lang.String loc,
                                                    java.lang.String raw,
                                                    org.xml.sax.Attributes atts)

### matchesWildcardElement

    protected java.lang.String matchesWildcardElement(java.lang.String loc,
                                                      java.lang.String raw)

### matchesWildcardAttribute

    protected java.lang.String matchesWildcardAttribute(java.lang.String loc,
                                                        java.lang.String raw)

### matchesWildcardName

    protected java.lang.String matchesWildcardName(java.lang.String loc,
                                                   java.lang.String raw,
                                                   java.lang.String wildcardExpr)

### wildCardExprMatchesElementXpathString

    protected boolean wildCardExprMatchesElementXpathString(java.lang.String wildcardExpr,
                                                            java.lang.String xpathStr)

### recycle

    public void recycle()

  Description copied from class: `AbstractTransformation`
  Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation

  Specified by:
    `recycle` in interface `Transformation`
  Overrides:
    `recycle` in class `AbstractTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.